Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Interface UnknownHandler

    public interface UnknownHandler

Handles cases when the result or action is unknown. This allows other classes like Struts plugins to provide intelligent defaults easier.

Method Summary
`ActionConfig` | `handleUnknownAction(String namespace, String actionName)` Handles the case when an action configuration is unknown.
`Result` | `handleUnknownResult(ActionContext actionContext, String actionName, ActionConfig actionConfig, String resultCode)` Handles the case when a result cannot be found for an action and result code.

Method Detail

### handleUnknownAction

    ActionConfig handleUnknownAction(String namespace,
                                     String actionName)
                                     throws XWorkException

  Handles the case when an action configuration is unknown. Implementations can return a new ActionConfig to be used to process the request.

  Parameters:
    `namespace` - The namespace
    `actionName` - The action name
  Returns:
    An generated ActionConfig, can return null;
  Throws:
    `XWorkException`

### handleUnknownResult

    Result handleUnknownResult(ActionContext actionContext,
                               String actionName,
                               ActionConfig actionConfig,
                               String resultCode)
                               throws XWorkException

  Handles the case when a result cannot be found for an action and result code.

  Parameters:
    `actionContext` - The action context
    `actionName` - The action name
    `actionConfig` - The action config
    `resultCode` - The returned result code
  Returns:
    A result to be executed, can return null
  Throws:
    `XWorkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.